#include <stdio.h>
#include <sys/time.h>
#include "system_wide.h"
#include "tadt_internal/int.h"
#include "tadt/ext.h"

#define COPY_E(x,y) bcopy((char *)x, (char *)y, sizeof(*x))

bool adjust(int gamma, ind_type ev1, ind_type ev2, ind_type result1, ind_type result2) 
{
   int i, adjust_search();

   /* tadt_copy_e(ev1,result1); */
   /* tadt_copy_e(ev2,result2); */

   printf("ev1->finish %x %x ev2->start %x %x\n", ev1->finish, ev2->start);
   
   i = adjust_search(gamma, 0, ev1, ev2);
   COPY_E(ev1, result1);
   COPY_E(ev2, result2);
   printf("result1->finish %x %x result2->start %x %x\n", result1->finish, result2->start);

   shrink_r(i, result1, result1);
   shrink_l(i, result2, result2);
}

int adjust_search(int high, int low, ind_type result1, ind_type result2)
{
   int median;
   ind_space_type temp1, temp2;
   
   COPY_E(result1, &temp1);
   COPY_E(result2, &temp2);
   printf("size %d\n", sizeof(*result1));
   printf("result1->finish %x %x result2->start %x %x\n", result1->finish, result2->start);

   median = low + (high - low)/2;
   if (median == low) return median;

   printf("high %d low %d median %d\n", high, low, median);

   shrink_r(median, &temp1, &temp1);
   shrink_l(median, &temp2, &temp2);
   printf("temp1.finish %x %x temp2.start %x %x\n", temp1.finish, temp2.start);
   if (temp1.finish <= temp2.start) 
     return adjust_search(median, low, result1, result2);
   else 
     return adjust_search(high, median, result1, result2);
}
