/***********************************************************************\ 
*                                                                       * 
*   File: calendric_system/newh/calendar/time_card/time_card.h
*                                                                       * 
*   The MultiCal System is free software in the public domain; you can  * 
*   redistribute it and/or modify it as you wish. We ask that you       * 
*   retain credits referencing the University of Arizona and that you   * 
*   identify any changes you make.                                      * 
*                                                                       * 
*   Report problems to multical@cs.arizona.edu                          * 
*   Direct all inquiries to:    The MultiCal Project                    * 
*                               Department of Computer Science          * 
*                               University of Arizona                   * 
*                               Tucson, AZ 85721                        * 
*                               U.S.A.                                  * 
*                                                                       * 
\***********************************************************************/ 
#ifndef time_card
#define time_card


/* time_card.h
*
*  This module contains all basic information used by the time_card
*  calendar system.  
*
*/


int fprintf();

#define Time_Card_Calendar_Id 'h'


void time_card_calendar_init(unsigned char cal_id, calendar_type **f);

void time_card_internal_error(char*s);

/*
 * global time_card variables
 */

#define Num_Time_Card_Functions 2

error_type time_card_month_number(actual_arg_type *args, actual_arg_type*);
error_type time_card_year_number(actual_arg_type *args, actual_arg_type *);

extern function_entry_type time_card_functions[];

/*extern unsigned char greg_cal_id;
extern seconds_type greg_secs1, greg_secs2;
extern span_type greg_s1, greg_s2;
extern event_type greg_e1, greg_e2;
extern function_entry_type gregorian_functions[];
*/

/*
* some macro definitions follow
*
*/



#endif
