/***********************************************************************\ 
*                                                                       * 
*   File: calendric_system/tadt/test/memory_test.c
*                                                                       * 
*   The MultiCal System is free software in the public domain; you can  * 
*   redistribute it and/or modify it as you wish. We ask that you       * 
*   retain credits referencing the University of Arizona and that you   * 
*   identify any changes you make.                                      * 
*                                                                       * 
*   Report problems to multical@cs.arizona.edu                          * 
*   Direct all inquiries to:    The MultiCal Project                    * 
*                               Department of Computer Science          * 
*                               University of Arizona                   * 
*                               Tucson, AZ 85721                        * 
*                               U.S.A.                                  * 
*                                                                       * 
\***********************************************************************/ 
/* Add a print statement to tadt_malloc */
#include <stdio.h>
#include "system_wide.h"
#include "tadt.h"

void main()
{
  interval_type interval;
  event_type event;
  span_type span;
  vs_type vs;
  timestamp_type time_stamp;
  avg_state_e avg_se;
  avg_state_fs avg_fs;
  string_struct string;
  seconds_type seconds;

  error_handler();
  tadt_init();
  printf("tadt_allocate_e ");
  event = tadt_allocate_e(hi);
  printf("tadt_allocate_s ");
  span = tadt_allocate_s(hi);
  printf("tadt_allocate_i ");
  interval = tadt_allocate_i(hi,low);
  printf("tadt_allocate_ts ");
  time_stamp = tadt_allocate_ts();
  printf("tadt_allocate_vs_struct");
  vs = tadt_allocate_vs_struct();
  printf("tadt_allocate_avg_state_e");
  avg_se = tadt_allocate_avg_state_e();
  printf("tadt_allocate_avg_state_fs");
  avg_fs = tadt_allocate_avg_state_fs();
  printf("tadt_allocate_string_struct");
  string = tadt_allocate_string_struct(200);
  printf("tadt_allocate_seconds");
  seconds = tadt_allocate_seconds();
}
